class PhotosController < ApplicationController
  # GET /photos
  # GET /photos.xml
  before_filter :authorize, :except => [:show, :index]
  helper :all
  def index
    @photos = Photo.find_all_by_dog_id(params[:dog_id])
    @dog = Dog.find(params[:dog_id])

    respond_to do |format|
      format.html # index.html.erb
      format.xml  { render :xml => @photos }
    end
  end

  # GET /photos/1
  # GET /photos/1.xml
  def show
    @photo = Photo.find(params[:id])
    @dog = Dog.find(params[:dog_id])

    respond_to do |format|
      format.html # show.html.erb
      format.xml  { render :xml => @photo }
    end
 # rescue ActiveRecord::RecordNotFound
  #  logger.error("Attempt to access invalid" )
   # redirect_to_home("Esta foto não existe!")
  end

  # GET /photos/new
  # GET /photos/new.xml
  def new
    @photo = Photo.new
    
    respond_to do |format|
      format.html # new.html.erb
      format.xml  { render :xml => @photo }
    end
  end

  # GET /photos/1/edit
  def edit
    @photo = Photo.find(params[:id])

  rescue ActiveRecord::RecordNotFound
    logger.error("Attempt to access invalid" )
    redirect_to_home("A foto não existe!")
   
  end

  # POST /photos
  # POST /photos.xml
  def create
    @photo = Photo.new(params[:photo])
    @photo.dog_id = params[:dog_id]

    respond_to do |format|
      if @photo.save
        flash[:notice] = 'Photo was successfully created.'
        format.html { redirect_to(:controller=>'photos',:action=>'show', :id=> @photo,:dog_id=>@photo.dog_id,:user_id =>params[:user_id]) }
        format.xml  { render :xml => @photo, :status => :created, :location => @photo }
      else
        format.html { render :action => "new" }
        format.xml  { render :xml => @photo.errors, :status => :unprocessable_entity }
      end
    end
  end

  # PUT /photos/1
  # PUT /photos/1.xml
  def update
    @photo = Photo.find(params[:id])

    respond_to do |format|
      if @photo.update_attributes(params[:photo])
        flash[:notice] = 'Photo was successfully updated.'
        format.html { redirect_to(:controller=>'photos',:action=>'show',:id=>@photo,:dog_id =>@photo.dog_id,:user_id =>params[:user_id]) }
        format.xml  { head :ok }
      else
        format.html { render :action => "edit" }
        format.xml  { render :xml => @photo.errors, :status => :unprocessable_entity }
      end
    end

  rescue ActiveRecord::RecordNotFound
    logger.error("Attempt to access invalid" )
    redirect_to_home("A foto não existe!")
  end

  # DELETE /photos/1
  # DELETE /photos/1.xml
  def destroy
    @photo.destroy

    respond_to do |format|
      format.html { redirect_to(:controller=>'dogs',:action=>'show',:id =>params[:dog_id],:user_id =>params[:user_id]) }
      format.xml  { head :ok }
    end

  rescue ActiveRecord::RecordNotFound
    logger.error("Attempt to access invalid" )
    redirect_to_home("A foto já foi excluída!")

  end
  
  protected

  def authorize
    if((params[:action]=='destroy') or (params[:action]=='update'))
      @photo = Photo.find(params[:id])
      @dog = Dog.find(@photo.dog_id)
      params[:user_id] = @dog.user_id
      params[:dog_id] = @dog.id
    end
    if(session[:user_log].nil?)
      flash[:notice] = "Acesso Restrito ao Usuário."
      redirect_to :controller => 'site' , :action => 'login'
    elsif(session[:user_log].to_i!=params[:user_id].to_i)
      flash[:notice] = "Acesso Restrito ao Usuário."
      redirect_to :controller => 'users' , :action => 'show',:id=>params[:user_id]
    end
  end

  private

  def redirect_to_home(msg = nil)
    flash[:notice] = msg if msg
    redirect_to :controller =>'users',:action => 'show',:id => session[:user_log]
  end

end