class SearchController < ApplicationController

  def search_by_user
    if request.post?
      words = params[:words].split(' ')
      session[:user_search] = words
    end
    unless session[:user_search].nil?
      @users = User.paginate(:page => params[:page],:per_page=>5,:order=>'name',:conditions => User.conditions_by_like_multi(session[:user_search]))
    end
  end

  def search_by_dog
    if request.post?
      words = params[:words].split(' ')
      session[:dog_search] = words
    end
    unless session[:dog_search].nil?
      @dogs = Dog.paginate(:page => params[:page],:per_page=>5,:order=>'name',:conditions => Dog.conditions_by_like_multi(session[:dog_search]))
    end
  end

  def search_by_news
    if request.post?
      words = params[:words].split(' ')
      session[:news_search] = words
    end
    unless session[:news_search].nil?
      @news = Newsletter.paginate(:page => params[:page],:per_page=>5,:order=>'date_post',:conditions => Newsletter.conditions_by_like_multi(session[:news_search]))
    end
  end

  def search_by_dog_default
    if request.post?
      session[:dog_search_default] = [params[:breed],params[:pedigree],params[:size],params[:gender]]
    end
    if session[:dog_search_default]
      @dogs = Dog.paginate(:page => params[:page],:per_page=>5,:order=>'name',:conditions => ["breed = ? and pedigree = ? and size = ? and gender = ?",session[:dog_search_default].at(0),session[:dog_search_default].at(1),session[:dog_search_default].at(2),session[:dog_search_default].at(3)])
    end
  end

end
