class UsersController < ApplicationController
  # GET /users
  # GET /users.xml

  before_filter :authorize, :except => :show
  helper :all

  
  # GET /users/1
  # GET /users/1.xml
  def show
    @user = User.find(params[:id])

    respond_to do |format|
      format.html # show.html.erb
      format.xml  { render :xml => @user }
    end
  rescue ActiveRecord::RecordNotFound
    logger.error("Attempt to access invalid" )
    redirect_to_home("O Usuário não existe 2")
  end

  # GET /users/new
  # GET /users/new.xml
  def new
    @user = User.new

    respond_to do |format|
      format.html # new.html.erb
      format.xml  { render :xml => @user }
    end
  end

  # GET /users/1/edit
  def edit
    @user = User.find(params[:id])
  end

  # POST /users
  # POST /users.xml
  def create
    @user = User.new(params[:user])

    respond_to do |format|
      if @user.save
        flash[:notice] = 'User was successfully created.'
        format.html { redirect_to(:controller => 'users', :action => 'show', :id => @user) }
        format.xml  { render :xml => @user, :status => :created, :location => @user }
      else
        format.html { render :action => "new" }
        format.xml  { render :xml => @user.errors, :status => :unprocessable_entity }
      end
    end
  end

  # PUT /users/1
  # PUT /users/1.xml
  def update
    @user = User.find(params[:id])

    respond_to do |format|
      if @user.update_attributes(params[:user])
        flash[:notice] = 'User was successfully updated.'
        format.html { redirect_to(:controller => 'users',:action => 'show',:id=>@user) }
        format.xml  { head :ok }
      else
        format.html { render :action => "edit" }
        format.xml  { render :xml => @user.errors, :status => :unprocessable_entity }
      end
    end
  end

  # DELETE /users/1
  # DELETE /users/1.xml
  def destroy
    @user = User.find(params[:id])
    @user.destroy

    respond_to do |format|
      format.html { redirect_to(:controller=>'site',:action=>'login') }
      format.xml  { head :ok }
    end
  rescue ActiveRecord::RecordNotFound
    logger.error("Attempt to access invalid" )
    redirect_to_home("O Usuário já foi excluido")
  end

  protected
  def authorize
    if((params[:action]=='new')or(params[:action]=='create'))
      unless Admin.find_by_id(session[:admin_id])
        flash[:notice] = "Acesso Restrito aos Administradores"
        redirect_to :controller => 'site' , :action => 'login_admin'
      end
    else
        if(session[:user_log].nil?)
          flash[:notice] = "Acesso Restrito ao Usuário."
          redirect_to :controller => 'site' , :action => 'login'
        elsif(session[:user_log].to_i!=params[:id].to_i)
          flash[:notice] = "Acesso Restrito ao Usuário."
          redirect_to :controller => 'users' , :action => 'show', :id => session[:user_log]
        end
    end
  end

  private

  def redirect_to_home(msg = nil)
    flash[:notice] = msg if msg
    redirect_to :controller =>'site',:action => 'index'
  end

  def photos_dog(user)
    photos = Array.new
    for dog in user.dogs do
      # temp = Photo.find(:first,:conditions => ["dog_id = ?",dog.id])
      temp = dog.photos.first
      photos << temp
    end
    photos
  end

end
