require 'test_helper'

class UserTest < ActiveSupport::TestCase
  # Replace this with your real tests.
fixtures :users

  test "the truth" do
    assert true
  end

  # O teste abaixo verifica se um usuário com atributos obrigatórios não preenchidos pode ser inserido pod

  test "invalid with empty attributes" do
    user = User.new
    assert !user.valid?
    assert user.errors.invalid?(:email)
    assert user.errors.invalid?(:name)
    assert user.errors.invalid?(:cep)
    assert user.errors.invalid?(:city)
  end

  # O test abaixo verifica se o banco pode conter usuários com emails iguais usando 

  test "unique email" do
    user = User.new(:email => users(:guilherme).email,
                    :name => "yyy" ,
                    :cep => "12345678" ,
                    :city => "Recife" )
    assert !user.save
   
  end

end


